Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.primitive
Interface GraphicLineString

All Superinterfaces:
  Graphic

    public interface GraphicLineString

extends Graphic

Defines a common abstraction for implementations of 1-dimensional lines made up of one or more line segments.

Since:
  GO 1.1

Field Summary

Fields inherited from interface Graphic
`DEFAULT_AUTO_EDIT, DEFAULT_BLINK_PATTERN, DEFAULT_BLINKING, DEFAULT_DRAG_SELECTABLE, DEFAULT_MAX_SCALE, DEFAULT_MIN_SCALE, DEFAULT_PICKABLE, DEFAULT_SELECTED, DEFAULT_VISIBLE, DEFAULT_Z_ORDER`

Method Summary
`void` | `addPoint(DirectPosition coord)` Appends the given position to the graphic linestring's array of positions.
`void` | `deletePoint(int index)` Removes the postion at the specified index from the array of positions.
`LineSymbolizer` | `getLineSymbolizer()` Returns the `GraphicStyle` for this `GraphicLineString`, which is required to be a `LineSymbolizer`.
`PathType` | `getPathType()` Retrieves the methods that is used in computing the "in-between" pixels between vertices when this object is rendered on the screen.
`DirectPosition` | `getPoint(int index)` Returns the position at the specified index in the array of positions.
`DirectPosition[]` | `getPoints()` Returns the positions that make up the line segments.
`void` | `insertPoint(int index, DirectPosition coord)` Inserts the given position at the specified index in the array of positions.
`boolean` | `isAllowingNewVertices()` Indicates whether clicking on an edge of this graphic linestring should insert a new vertex at that location when the object is in edit mode.
`boolean` | `isClosed()` Returns the boolean flag indicating whether the graphic linestring is closed (its first and last points are the same) or open.
`void` | `setAllowingNewVertices(boolean newValue)` Sets the boolean that indicates whether clicking on an edge of this graphic linestring should insert a new vertex at that location.
`void` | `setPathType(PathType pathType)` Sets the method that is used in computing the "in-between" pixels between vertices when this object is rendered on the screen.
`void` | `setPoint(int index, DirectPosition coord)` Replaces the position at the specified index in the array of positions with the new, specified position.
`void` | `setPoints(DirectPosition[] coords)` Sets the positions that make up the line segments.

Methods inherited from interface Graphic
`addGraphicListener, cloneGraphic, dispose, fireGraphicEvent, getAutoEdit, getBlinking, getBlinkPattern, getClientProperty, getDragSelectable, getGraphicStyle, getMaxScale, getMinScale, getName, getParent, getPickable, getSelected, getSymbology, getVisible, getZOrderHint, isPassingEventsToParent, isShowingAnchorHandles, isShowingEditHandles, putClientProperty, refresh, removeGraphicListener, setAutoEdit, setBlinking, setBlinkPattern, setDragSelectable, setGraphicStyle, setMaxScale, setMinScale, setName, setParent, setPassingEventsToParent, setPickable, setSelected, setShowingAnchorHandles, setShowingEditHandles, setSymbology, setVisible, setZOrderHint`

Method Detail

### getPoints

    DirectPosition[] getPoints()

  Returns the positions that make up the line segments. Value is acquired from the underlying LineString geometry for this Graphic.

  Returns:
    the array positions.

### setPoints

    void setPoints(DirectPosition[] coords)

  Sets the positions that make up the line segments. Value is set on the underlying LineString geometry for this Graphic.

  Parameters:
    `coords` - the array positions.

### addPoint

    void addPoint(DirectPosition coord)

  Appends the given position to the graphic linestring's array of positions. Value is set on the underlying LineString geometry for this Graphic.

  Parameters:
    `coord` - the postion to add.

### deletePoint

    void deletePoint(int index)

  Removes the postion at the specified index from the array of positions. Value is deleted on the underlying LineString geometry for this Graphic.

  Parameters:
    `index` - the index of the position to remove.

### getPoint

    DirectPosition getPoint(int index)

  Returns the position at the specified index in the array of positions. Value is acquired from the underlying LineString geometry for this Graphic.

  Parameters:
    `index` - the index of the position to return.
  Returns:
    the position at the given index.

### insertPoint

    void insertPoint(int index,
                     DirectPosition coord)

  Inserts the given position at the specified index in the array of positions. Value is inserted on the underlying LineString geometry for this Graphic.

  Parameters:
    `index` - the index to insert the new position at.
    `coord` - the position to insert.

### setPoint

    void setPoint(int index,
                  DirectPosition coord)

  Replaces the position at the specified index in the array of positions with the new, specified position. Value is set on the underlying LineString geometry for this Graphic.

  Parameters:
    `index` - the index of the position to replace.
    `coord` - the position to store at the specified index.

### isClosed

    boolean isClosed()

  Returns the boolean flag indicating whether the graphic linestring is closed (its first and last points are the same) or open.

  Returns:
    whether or not the graphic linestring is closed.

### getLineSymbolizer

    LineSymbolizer getLineSymbolizer()

  Returns the `GraphicStyle` for this `GraphicLineString`, which is required to be a `LineSymbolizer`.

  Returns:
    the GraphicLineString's `GraphicStyle`.

### isAllowingNewVertices

    boolean isAllowingNewVertices()

  Indicates whether clicking on an edge of this graphic linestring should insert a new vertex at that location when the object is in edit mode.

### setAllowingNewVertices

    void setAllowingNewVertices(boolean newValue)

  Sets the boolean that indicates whether clicking on an edge of this graphic linestring should insert a new vertex at that location.

### setPathType

    void setPathType(PathType pathType)

  Sets the method that is used in computing the "in-between" pixels between vertices when this object is rendered on the screen.

  Parameters:
    `pathType` - The new path type. This must be one of the static constants in the PathType class or one of its subclasses.

### getPathType

    PathType getPathType()

  Retrieves the methods that is used in computing the "in-between" pixels between vertices when this object is rendered on the screen.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.